<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>footnote documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">footnote documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AppModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="3654pt" height="284pt"
 viewBox="0.00 0.00 3654.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-280 3650,-280 3650,4 -4,4"/>
<text text-anchor="start" x="1802.0091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="1589,-10 1589,-30 1609,-30 1609,-10 1589,-10"/>
<text text-anchor="start" x="1612.629" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="1702,-10 1702,-30 1722,-30 1722,-10 1702,-10"/>
<text text-anchor="start" x="1725.7251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="1788,-10 1788,-30 1808,-30 1808,-10 1788,-10"/>
<text text-anchor="start" x="1811.7812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="1885,-10 1885,-30 1905,-30 1905,-10 1885,-10"/>
<text text-anchor="start" x="1908.6732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1981,-10 1981,-30 2001,-30 2001,-10 1981,-10"/>
<text text-anchor="start" x="2004.7258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-268 3638,-268 3638,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="#000000" points="1878,-78 1878,-130 3630,-130 3630,-78 1878,-78"/>
</g>
<g id="clust19" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="#000000" points="1596,-78 1596,-130 1870,-130 1870,-78 1596,-78"/>
</g>
<g id="clust21" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="#000000" points="2151,-208 2151,-260 2239,-260 2239,-208 2151,-208"/>
</g>
<g id="clust22" class="cluster">
<title>cluster_AppModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 1588,-130 1588,-78 16,-78"/>
</g>
<!-- ARViewPage -->
<g id="node1" class="node">
<title>ARViewPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="3622.4734,-122 3529.5266,-122 3529.5266,-86 3622.4734,-86 3622.4734,-122"/>
<text text-anchor="middle" x="3576" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ARViewPage</text>
</g>
<!-- AppModule -->
<g id="node17" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2236.6571,-187 2233.6571,-191 2212.6571,-191 2209.6571,-187 2153.3429,-187 2153.3429,-151 2236.6571,-151 2236.6571,-187"/>
<text text-anchor="middle" x="2195" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppModule</text>
</g>
<!-- ARViewPage&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>ARViewPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3576,-122.3802C3576,-146.2785 3576,-185 3576,-185 3576,-185 2246.7068,-185 2246.7068,-185"/>
<polygon fill="#000000" stroke="#000000" points="2246.7069,-181.5001 2236.7068,-185 2246.7068,-188.5001 2246.7069,-181.5001"/>
</g>
<!-- AddInfoPage -->
<g id="node2" class="node">
<title>AddInfoPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="3511.1403,-122 3420.8597,-122 3420.8597,-86 3511.1403,-86 3511.1403,-122"/>
<text text-anchor="middle" x="3466" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AddInfoPage</text>
</g>
<!-- AddInfoPage&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>AddInfoPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3466,-122.0908C3466,-145.1328 3466,-182 3466,-182 3466,-182 2246.9264,-182 2246.9264,-182"/>
<polygon fill="#000000" stroke="#000000" points="2246.9265,-178.5001 2236.9264,-182 2246.9264,-185.5001 2246.9265,-178.5001"/>
</g>
<!-- AddObjectPage -->
<g id="node3" class="node">
<title>AddObjectPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="3402.136,-122 3297.864,-122 3297.864,-86 3402.136,-86 3402.136,-122"/>
<text text-anchor="middle" x="3350" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AddObjectPage</text>
</g>
<!-- AddObjectPage&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>AddObjectPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3350,-122.0109C3350,-144.4852 3350,-180 3350,-180 3350,-180 2246.7894,-180 2246.7894,-180"/>
<polygon fill="#000000" stroke="#000000" points="2246.7894,-176.5001 2236.7894,-180 2246.7894,-183.5001 2246.7894,-176.5001"/>
</g>
<!-- CloudRecognitionPage -->
<g id="node4" class="node">
<title>CloudRecognitionPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="3279.8767,-122 3134.1233,-122 3134.1233,-86 3279.8767,-86 3279.8767,-122"/>
<text text-anchor="middle" x="3207" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CloudRecognitionPage</text>
</g>
<!-- CloudRecognitionPage&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>CloudRecognitionPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3207,-122.0449C3207,-143.6623 3207,-177 3207,-177 3207,-177 2246.8766,-177 2246.8766,-177"/>
<polygon fill="#000000" stroke="#000000" points="2246.8766,-173.5001 2236.8766,-177 2246.8765,-180.5001 2246.8766,-173.5001"/>
</g>
<!-- DetailPage -->
<g id="node5" class="node">
<title>DetailPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="3115.9205,-122 3038.0795,-122 3038.0795,-86 3115.9205,-86 3115.9205,-122"/>
<text text-anchor="middle" x="3077" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DetailPage</text>
</g>
<!-- DetailPage&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>DetailPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M3077,-122.2843C3077,-143.3211 3077,-175 3077,-175 3077,-175 2246.9473,-175 2246.9473,-175"/>
<polygon fill="#000000" stroke="#000000" points="2246.9474,-171.5001 2236.9473,-175 2246.9473,-178.5001 2246.9474,-171.5001"/>
</g>
<!-- DialogPage -->
<g id="node6" class="node">
<title>DialogPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="3020.8148,-122 2939.1852,-122 2939.1852,-86 3020.8148,-86 3020.8148,-122"/>
<text text-anchor="middle" x="2980" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DialogPage</text>
</g>
<!-- DialogPage&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>DialogPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2980,-122.2228C2980,-142.3652 2980,-172 2980,-172 2980,-172 2246.9275,-172 2246.9275,-172"/>
<polygon fill="#000000" stroke="#000000" points="2246.9275,-168.5001 2236.9275,-172 2246.9274,-175.5001 2246.9275,-168.5001"/>
</g>
<!-- FeedPage -->
<g id="node7" class="node">
<title>FeedPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2921.4249,-122 2850.5751,-122 2850.5751,-86 2921.4249,-86 2921.4249,-122"/>
<text text-anchor="middle" x="2886" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">FeedPage</text>
</g>
<!-- FeedPage&#45;&gt;AppModule -->
<g id="edge7" class="edge">
<title>FeedPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2886,-122.1061C2886,-141.3391 2886,-169 2886,-169 2886,-169 2246.669,-169 2246.669,-169"/>
<polygon fill="#000000" stroke="#000000" points="2246.669,-165.5001 2236.669,-169 2246.669,-172.5001 2246.669,-165.5001"/>
</g>
<!-- HomePage -->
<g id="node8" class="node">
<title>HomePage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2832.9248,-122 2755.0752,-122 2755.0752,-86 2832.9248,-86 2832.9248,-122"/>
<text text-anchor="middle" x="2794" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HomePage</text>
</g>
<!-- HomePage&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>HomePage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2794,-122.2222C2794,-140.8285 2794,-167 2794,-167 2794,-167 2247.1205,-167 2247.1205,-167"/>
<polygon fill="#000000" stroke="#000000" points="2247.1206,-163.5001 2237.1205,-167 2247.1205,-170.5001 2247.1206,-163.5001"/>
</g>
<!-- LoginPage -->
<g id="node9" class="node">
<title>LoginPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2737.1558,-122 2660.8442,-122 2660.8442,-86 2737.1558,-86 2737.1558,-122"/>
<text text-anchor="middle" x="2699" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">LoginPage</text>
</g>
<!-- LoginPage&#45;&gt;AppModule -->
<g id="edge9" class="edge">
<title>LoginPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2699,-122.002C2699,-139.6754 2699,-164 2699,-164 2699,-164 2246.6732,-164 2246.6732,-164"/>
<polygon fill="#000000" stroke="#000000" points="2246.6733,-160.5001 2236.6732,-164 2246.6732,-167.5001 2246.6733,-160.5001"/>
</g>
<!-- MasterPage -->
<g id="node10" class="node">
<title>MasterPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2643.0814,-122 2560.9186,-122 2560.9186,-86 2643.0814,-86 2643.0814,-122"/>
<text text-anchor="middle" x="2602" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">MasterPage</text>
</g>
<!-- MasterPage&#45;&gt;AppModule -->
<g id="edge10" class="edge">
<title>MasterPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2602,-122.0336C2602,-139.0597 2602,-162 2602,-162 2602,-162 2247.0232,-162 2247.0232,-162"/>
<polygon fill="#000000" stroke="#000000" points="2247.0232,-158.5001 2237.0232,-162 2247.0232,-165.5001 2247.0232,-158.5001"/>
</g>
<!-- MyApp -->
<g id="node11" class="node">
<title>MyApp</title>
<polygon fill="#ffffb3" stroke="#000000" points="2542.5529,-122 2483.4471,-122 2483.4471,-86 2542.5529,-86 2542.5529,-122"/>
<text text-anchor="middle" x="2513" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">MyApp</text>
</g>
<!-- MyApp&#45;&gt;AppModule -->
<g id="edge11" class="edge">
<title>MyApp&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2513,-122.0091C2513,-138.0494 2513,-159 2513,-159 2513,-159 2246.8999,-159 2246.8999,-159"/>
<polygon fill="#000000" stroke="#000000" points="2246.9,-155.5001 2236.8999,-159 2246.8999,-162.5001 2246.9,-155.5001"/>
</g>
<!-- PlaceholderPage -->
<g id="node12" class="node">
<title>PlaceholderPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2465.795,-122 2356.205,-122 2356.205,-86 2465.795,-86 2465.795,-122"/>
<text text-anchor="middle" x="2411" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">PlaceholderPage</text>
</g>
<!-- PlaceholderPage&#45;&gt;AppModule -->
<g id="edge12" class="edge">
<title>PlaceholderPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2411,-122.2396C2411,-137.5706 2411,-157 2411,-157 2411,-157 2246.9031,-157 2246.9031,-157"/>
<polygon fill="#000000" stroke="#000000" points="2246.9031,-153.5001 2236.9031,-157 2246.9031,-160.5001 2246.9031,-153.5001"/>
</g>
<!-- RegisterPage -->
<g id="node13" class="node">
<title>RegisterPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2337.8641,-122 2248.1359,-122 2248.1359,-86 2337.8641,-86 2337.8641,-122"/>
<text text-anchor="middle" x="2293" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RegisterPage</text>
</g>
<!-- RegisterPage&#45;&gt;AppModule -->
<g id="edge13" class="edge">
<title>RegisterPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2293,-122.0511C2293,-136.373 2293,-154 2293,-154 2293,-154 2246.8451,-154 2246.8451,-154"/>
<polygon fill="#000000" stroke="#000000" points="2246.8451,-150.5001 2236.8451,-154 2246.845,-157.5001 2246.8451,-150.5001"/>
</g>
<!-- TabsPage -->
<g id="node14" class="node">
<title>TabsPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2230.4249,-122 2159.5751,-122 2159.5751,-86 2230.4249,-86 2230.4249,-122"/>
<text text-anchor="middle" x="2195" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TabsPage</text>
</g>
<!-- TabsPage&#45;&gt;AppModule -->
<g id="edge14" class="edge">
<title>TabsPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2195,-122.1061C2195,-122.1061 2195,-140.991 2195,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="2191.5001,-140.9909 2195,-150.991 2198.5001,-140.991 2191.5001,-140.9909"/>
</g>
<!-- UserGroupPage -->
<g id="node15" class="node">
<title>UserGroupPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2141.9062,-122 2036.0938,-122 2036.0938,-86 2141.9062,-86 2141.9062,-122"/>
<text text-anchor="middle" x="2089" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">UserGroupPage</text>
</g>
<!-- UserGroupPage&#45;&gt;AppModule -->
<g id="edge15" class="edge">
<title>UserGroupPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M2089,-122.0511C2089,-136.373 2089,-154 2089,-154 2089,-154 2143.106,-154 2143.106,-154"/>
<polygon fill="#000000" stroke="#000000" points="2143.106,-157.5001 2153.106,-154 2143.106,-150.5001 2143.106,-157.5001"/>
</g>
<!-- UserGroupSplitPage -->
<g id="node16" class="node">
<title>UserGroupSplitPage</title>
<polygon fill="#ffffb3" stroke="#000000" points="2017.8599,-122 1886.1401,-122 1886.1401,-86 2017.8599,-86 2017.8599,-122"/>
<text text-anchor="middle" x="1952" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">UserGroupSplitPage</text>
</g>
<!-- UserGroupSplitPage&#45;&gt;AppModule -->
<g id="edge16" class="edge">
<title>UserGroupSplitPage&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1952,-122.2396C1952,-137.5706 1952,-157 1952,-157 1952,-157 2143.2268,-157 2143.2268,-157"/>
<polygon fill="#000000" stroke="#000000" points="2143.2268,-160.5001 2153.2268,-157 2143.2268,-153.5001 2143.2268,-160.5001"/>
</g>
<!-- IonicApp  -->
<g id="node20" class="node">
<title>IonicApp </title>
<polygon fill="#80b1d3" stroke="#000000" points="2231.3734,-252 2158.6266,-252 2158.6266,-216 2231.3734,-216 2231.3734,-252"/>
<text text-anchor="middle" x="2195" y="-229.8" font-family="Times,serif" font-size="14.00" fill="#000000">IonicApp </text>
</g>
<!-- AppModule&#45;&gt;IonicApp  -->
<g id="edge19" class="edge">
<title>AppModule&#45;&gt;IonicApp </title>
<path fill="none" stroke="#000000" stroke-dasharray="1,5" d="M2195,-187.1061C2195,-187.1061 2195,-205.991 2195,-205.991"/>
<polygon fill="#000000" stroke="#000000" points="2191.5001,-205.9909 2195,-215.991 2198.5001,-205.991 2191.5001,-205.9909"/>
</g>
<!-- InterceptorModule -->
<g id="node18" class="node">
<title>InterceptorModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1862.4566,-122 1859.4566,-126 1838.4566,-126 1835.4566,-122 1741.5434,-122 1741.5434,-86 1862.4566,-86 1862.4566,-122"/>
<text text-anchor="middle" x="1802" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">InterceptorModule</text>
</g>
<!-- InterceptorModule&#45;&gt;AppModule -->
<g id="edge17" class="edge">
<title>InterceptorModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1802,-122.0091C1802,-138.0494 1802,-159 1802,-159 1802,-159 2143.3142,-159 2143.3142,-159"/>
<polygon fill="#000000" stroke="#000000" points="2143.3142,-162.5001 2153.3142,-159 2143.3141,-155.5001 2143.3142,-162.5001"/>
</g>
<!-- IonicImageLoader -->
<g id="node19" class="node">
<title>IonicImageLoader</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1723.8892,-122 1720.8892,-126 1699.8892,-126 1696.8892,-122 1604.1108,-122 1604.1108,-86 1723.8892,-86 1723.8892,-122"/>
<text text-anchor="middle" x="1664" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">IonicImageLoader</text>
</g>
<!-- IonicImageLoader&#45;&gt;AppModule -->
<g id="edge18" class="edge">
<title>IonicImageLoader&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1664,-122.0336C1664,-139.0597 1664,-162 1664,-162 1664,-162 2143.3333,-162 2143.3333,-162"/>
<polygon fill="#000000" stroke="#000000" points="2143.3334,-165.5001 2153.3333,-162 2143.3333,-158.5001 2143.3334,-165.5001"/>
</g>
<!-- AuthProvider -->
<g id="node21" class="node">
<title>AuthProvider</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1516" cy="-104" rx="63.7045" ry="18"/>
<text text-anchor="middle" x="1516" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthProvider</text>
</g>
<!-- AuthProvider&#45;&gt;AppModule -->
<g id="edge20" class="edge">
<title>AuthProvider&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1516,-122.002C1516,-139.6754 1516,-164 1516,-164 1516,-164 2143.2931,-164 2143.2931,-164"/>
<polygon fill="#000000" stroke="#000000" points="2143.2931,-167.5001 2153.2931,-164 2143.2931,-160.5001 2143.2931,-167.5001"/>
</g>
<!-- AuthService -->
<g id="node22" class="node">
<title>AuthService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1375" cy="-104" rx="59.1083" ry="18"/>
<text text-anchor="middle" x="1375" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthService</text>
</g>
<!-- AuthService&#45;&gt;AppModule -->
<g id="edge21" class="edge">
<title>AuthService&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1375,-122.2222C1375,-140.8285 1375,-167 1375,-167 1375,-167 2143.2087,-167 2143.2087,-167"/>
<polygon fill="#000000" stroke="#000000" points="2143.2088,-170.5001 2153.2087,-167 2143.2087,-163.5001 2143.2088,-170.5001"/>
</g>
<!-- HttpAngularProvider -->
<g id="node23" class="node">
<title>HttpAngularProvider</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1205" cy="-104" rx="93.1987" ry="18"/>
<text text-anchor="middle" x="1205" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HttpAngularProvider</text>
</g>
<!-- HttpAngularProvider&#45;&gt;AppModule -->
<g id="edge22" class="edge">
<title>HttpAngularProvider&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1205,-122.1061C1205,-141.3391 1205,-169 1205,-169 1205,-169 2143.0933,-169 2143.0933,-169"/>
<polygon fill="#000000" stroke="#000000" points="2143.0933,-172.5001 2153.0933,-169 2143.0932,-165.5001 2143.0933,-172.5001"/>
</g>
<!-- HttpNativeProvider -->
<g id="node24" class="node">
<title>HttpNativeProvider</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1007" cy="-104" rx="87.3963" ry="18"/>
<text text-anchor="middle" x="1007" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HttpNativeProvider</text>
</g>
<!-- HttpNativeProvider&#45;&gt;AppModule -->
<g id="edge23" class="edge">
<title>HttpNativeProvider&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M1007,-122.2228C1007,-142.3652 1007,-172 1007,-172 1007,-172 2143.0674,-172 2143.0674,-172"/>
<polygon fill="#000000" stroke="#000000" points="2143.0674,-175.5001 2153.0674,-172 2143.0674,-168.5001 2143.0674,-175.5001"/>
</g>
<!-- HttpProvider -->
<g id="node25" class="node">
<title>HttpProvider</title>
<ellipse fill="#fdb462" stroke="#000000" cx="840" cy="-104" rx="61.4147" ry="18"/>
<text text-anchor="middle" x="840" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HttpProvider</text>
</g>
<!-- HttpProvider&#45;&gt;AppModule -->
<g id="edge24" class="edge">
<title>HttpProvider&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M840,-122.2843C840,-143.3211 840,-175 840,-175 840,-175 2143.3355,-175 2143.3355,-175"/>
<polygon fill="#000000" stroke="#000000" points="2143.3355,-178.5001 2153.3355,-175 2143.3354,-171.5001 2143.3355,-178.5001"/>
</g>
<!-- NavProxyService -->
<g id="node26" class="node">
<title>NavProxyService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="681" cy="-104" rx="79.2942" ry="18"/>
<text text-anchor="middle" x="681" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">NavProxyService</text>
</g>
<!-- NavProxyService&#45;&gt;AppModule -->
<g id="edge25" class="edge">
<title>NavProxyService&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M681,-122.0449C681,-143.6623 681,-177 681,-177 681,-177 2143.3237,-177 2143.3237,-177"/>
<polygon fill="#000000" stroke="#000000" points="2143.3238,-180.5001 2153.3237,-177 2143.3237,-173.5001 2143.3238,-180.5001"/>
</g>
<!-- NavProxyUserGroupService -->
<g id="node27" class="node">
<title>NavProxyUserGroupService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="462" cy="-104" rx="122.0939" ry="18"/>
<text text-anchor="middle" x="462" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">NavProxyUserGroupService</text>
</g>
<!-- NavProxyUserGroupService&#45;&gt;AppModule -->
<g id="edge26" class="edge">
<title>NavProxyUserGroupService&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M462,-122.0109C462,-144.4852 462,-180 462,-180 462,-180 2143.0202,-180 2143.0202,-180"/>
<polygon fill="#000000" stroke="#000000" points="2143.0203,-183.5001 2153.0202,-180 2143.0202,-176.5001 2143.0203,-183.5001"/>
</g>
<!-- RestProvider -->
<g id="node28" class="node">
<title>RestProvider</title>
<ellipse fill="#fdb462" stroke="#000000" cx="260" cy="-104" rx="61.4128" ry="18"/>
<text text-anchor="middle" x="260" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RestProvider</text>
</g>
<!-- RestProvider&#45;&gt;AppModule -->
<g id="edge27" class="edge">
<title>RestProvider&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M260,-122.0908C260,-145.1328 260,-182 260,-182 260,-182 2143.2385,-182 2143.2385,-182"/>
<polygon fill="#000000" stroke="#000000" points="2143.2386,-185.5001 2153.2385,-182 2143.2385,-178.5001 2143.2386,-185.5001"/>
</g>
<!-- TokenInterceptor -->
<g id="node29" class="node">
<title>TokenInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="102" cy="-104" rx="78.1308" ry="18"/>
<text text-anchor="middle" x="102" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TokenInterceptor</text>
</g>
<!-- TokenInterceptor&#45;&gt;AppModule -->
<g id="edge28" class="edge">
<title>TokenInterceptor&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M102,-122.3802C102,-146.2785 102,-185 102,-185 102,-185 2143.1915,-185 2143.1915,-185"/>
<polygon fill="#000000" stroke="#000000" points="2143.1916,-188.5001 2153.1915,-185 2143.1915,-181.5001 2143.1916,-188.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/app.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/ARViewPage.html">ARViewPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/AddInfoPage.html">AddInfoPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/AddObjectPage.html">AddObjectPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CloudRecognitionPage.html">CloudRecognitionPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DetailPage.html">DetailPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DialogPage.html">DialogPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/FeedPage.html">FeedPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HomePage.html">HomePage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/LoginPage.html">LoginPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MasterPage.html">MasterPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MyApp.html">MyApp</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/PlaceholderPage.html">PlaceholderPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterPage.html">RegisterPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TabsPage.html">TabsPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/UserGroupPage.html">UserGroupPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/UserGroupSplitPage.html">UserGroupSplitPage</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>EntryComponents<a href="https://angular.io/api/core/NgModule#entryComponents" target="_blank"
                            title="Official documentation about module entryComponents"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/ARViewPage.html">ARViewPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/AddInfoPage.html">AddInfoPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/AddObjectPage.html">AddObjectPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/CloudRecognitionPage.html">CloudRecognitionPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DetailPage.html">DetailPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DialogPage.html">DialogPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/FeedPage.html">FeedPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HomePage.html">HomePage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/LoginPage.html">LoginPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MasterPage.html">MasterPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MyApp.html">MyApp</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/PlaceholderPage.html">PlaceholderPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RegisterPage.html">RegisterPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TabsPage.html">TabsPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/UserGroupPage.html">UserGroupPage</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/UserGroupSplitPage.html">UserGroupSplitPage</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/AuthProvider.html">AuthProvider</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/AuthService.html">AuthService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/HttpAngularProvider.html">HttpAngularProvider</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/HttpNativeProvider.html">HttpNativeProvider</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/HttpProvider.html">HttpProvider</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/NavProxyService.html">NavProxyService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/NavProxyUserGroupService.html">NavProxyUserGroupService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/RestProvider.html">RestProvider</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../interceptors/TokenInterceptor.html">TokenInterceptor</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/InterceptorModule.html">InterceptorModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/IonicImageLoader.html">IonicImageLoader</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Bootstrap<a href="https://angular.io/api/core/NgModule#bootstrap" target="_blank"
                            title="Official documentation about module bootstrap"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../s/IonicApp.html">IonicApp</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { BrowserModule } from &#x27;@angular/platform-browser&#x27;;
import { ErrorHandler, NgModule } from &#x27;@angular/core&#x27;;
import { IonicApp, IonicErrorHandler, IonicModule } from &#x27;ionic-angular&#x27;;
import { MyApp } from &#x27;./app.component&#x27;;
import { HomePage } from &#x27;../pages/home/home&#x27;;
import { DetailPage } from &#x27;../pages/detail/detail&#x27;;
import { StatusBar } from &#x27;@ionic-native/status-bar&#x27;;
import { SplashScreen } from &#x27;@ionic-native/splash-screen&#x27;;
import { RestProvider } from &#x27;../providers/rest/rest&#x27;;
import { HttpClientModule } from &#x27;@angular/common/http&#x27;;
import { MaterialIconsModule } from &#x27;ionic2-material-icons&#x27;;
import { AddInfoPage } from &#x27;../pages/add-info/add-info&#x27;;
import { ARViewPage } from &#x27;../pages/ar-view/ar-view&#x27;;
import { DialogPage } from &#x27;../pages/dialog/dialog&#x27;;
import { RegisterPage } from &#x27;../pages/register/register&#x27;;
import { ProgressBarModule } from &quot;angular-progress-bar&quot;
import { AddObjectPage } from &#x27;../pages/add-object/add-object&#x27;;
import { QuillModule } from &#x27;ngx-quill&#x27;;
import { Geolocation } from &#x27;@ionic-native/geolocation&#x27;;
import { LoginPage } from &#x27;../pages/login/login&#x27;;
import { NguiInViewComponent } from &#x27;../pages/master/ngui-in-view&#x27;;
import { AuthProvider } from &#x27;../providers/auth/auth&#x27;;
import { CloudRecognitionPage } from &#x27;../pages/cloud-recognition/cloud-recognition&#x27;;
import { IonicStorageModule } from &#x27;@ionic/storage&#x27;;
import { AuthService } from &#x27;../pages/auth/auth.service&#x27;;
import { HTTP_INTERCEPTORS } from &#x27;@angular/common/http&#x27;;
import { TokenInterceptor, InterceptorModule } from &#x27;../pages/auth/token.interceptor&#x27;;
import { Camera } from &#x27;@ionic-native/camera&#x27;;
import { WebIntent } from &#x27;@ionic-native/web-intent&#x27;;
import { HTTP } from &#x27;@ionic-native/http&#x27;;
import { HttpAngularProvider } from &#x27;../providers/http-angular/http-angular&#x27;;
import { HttpNativeProvider } from &#x27;../providers/http-native/http-native&#x27;;
import { HttpProvider } from &#x27;../providers/http/http&#x27;;
import { NativeStorage } from &#x27;@ionic-native/native-storage&#x27;;
import { TabsPage } from &#x27;../pages/tabs/tabs&#x27;;
import { NavProxyService } from &#x27;../services/navProxy.service&#x27;;
import { PlaceholderPage } from &#x27;../pages/placeholder/placeholder&#x27;;
import { MasterPage } from &#x27;../pages/master/master&#x27;;
import { IonicImageLoader } from &#x27;ionic-image-loader&#x27;;
import { UserGroupPage } from &#x27;../pages/user-group/user-group&#x27;;
import { FeedPage } from &#x27;../pages/feed/feed&#x27;;
import { UserGroupSplitPage } from &#x27;../pages/user-group-split/user-group-split&#x27;;
import { NavProxyUserGroupService } from &#x27;../services/navProxyUserGroup.service&#x27;;

@NgModule({
  declarations: [
    MyApp,
    HomePage,
    DetailPage,
    AddInfoPage,
    ARViewPage,
    DialogPage,
    AddObjectPage,
    LoginPage,
    RegisterPage,
    CloudRecognitionPage,
    TabsPage,
    NguiInViewComponent,
    PlaceholderPage,
    MasterPage,
    UserGroupPage,
    FeedPage,
    UserGroupSplitPage
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    IonicImageLoader.forRoot(),
    IonicModule.forRoot(MyApp, {
      links: [
        { component: HomePage, name: &#x27;Home&#x27;, segment: &#x27;home&#x27; },
        { component: MasterPage, name: &#x27;Master&#x27;, segment: &#x27;master&#x27; },
        { component: TabsPage, name: &#x27;Tabs&#x27;, segment: &#x27;tabs&#x27; },
        { component: LoginPage, name: &#x27;Login&#x27;, segment: &#x27;login&#x27; },
        { component: DetailPage, name: &#x27;Detail&#x27;, segment: &#x27;detail&#x27;, defaultHistory: [HomePage] },
        { component: AddObjectPage, name: &#x27;page-add-object&#x27;, segment: &#x27;addObject&#x27;, defaultHistory: [HomePage] }
      ]
    }),
    QuillModule,
    InterceptorModule,
    MaterialIconsModule,
    ProgressBarModule,

    IonicStorageModule.forRoot()
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    HomePage,
    DetailPage,
    AddInfoPage,
    ARViewPage,
    DialogPage,
    AddObjectPage,
    LoginPage,
    RegisterPage,
    CloudRecognitionPage,
    TabsPage,
    PlaceholderPage,
    MasterPage,
    UserGroupPage,
    FeedPage,
    UserGroupSplitPage
  ],
  providers: [
    StatusBar,
    AuthService,
    SplashScreen,
    { provide: ErrorHandler, useClass: IonicErrorHandler },
    { provide: HTTP_INTERCEPTORS, useClass: TokenInterceptor, multi: true },
    RestProvider,
    Geolocation,
    AuthProvider,
    Camera,
    WebIntent,
    HTTP,
    HttpAngularProvider,
    HttpNativeProvider,
    HttpProvider,
    NativeStorage,
    NavProxyService,
    NavProxyUserGroupService
  ]
})
export class AppModule { }
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
